{-| Run logging globally.

The 'run' function will properly "initialize" and "terminate" the
global "Manager".

If the "Manager"\'s 'catchUncaughtException' is True, the 'run' function will
set an uncaught exception handler that will log all uncaught exceptions,
 and set the handler to the original one before 'run' is complete.
-}

module Logging.Global
  ( run
  , module Logging.Global.TH
  ) where


import           Logging.Global.Internal
import           Logging.Global.TH
import           Logging.Types
