{-| Run logging in a 'Reader' monad.

You should 'initialize' the 'Manager' before using it in the 'Reader'
monad, and 'terminate' it when it is no longer needed.

If you want to log uncaught exceptions,
see "GHC.Conc.setUncaughtExceptionHandler".
-}



module Logging.Monad
  ( LoggingT
  , runLoggingT
  -- ** Log routines
  , module Logging.Monad.TH
  ) where


import           Logging.Monad.Internal
import           Logging.Monad.TH
import           Logging.Types
